> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# RequestCorrectToken

This call returns a token to place a user in a web session in Advanced Correct mode on an envelope.

**`C#`**

```csharp title="C#"
// Create and send envelope as shown in linked code
DocuSignWeb.EnvelopeStatus status = <create and send envelope>;

// Request the token with the envelope ID and a return URL
String token = _apiClient.RequestCorrectToken(status.EnvelopeID, true, baseURL);

// Display token
Console.WriteLine("The token returned is {0}", token);
```

**`PHP`**

```php title="PHP"
// Create and send an envelope as shown in linked code
$response = <create and send envelope>;
$createResult = $response->CreateAndSendEnvelopeResult;

// Request the token with the envelope ID and a return URL
$requestCorrectTokenparams = new RequestCorrectToken();
$requestCorrectTokenparams->EnvelopeID = $createResult->EnvelopeID;
$requestCorrectTokenparams->ReturnURL = $baseURL;
$requestCorrectTokenparams->SuppressNavigation = true;
$response = $api->RequestCorrectToken($requestCorrectTokenparams);
```

### Schema

| Name               | Schema Type | Description                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------ | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| EnvelopeID         | String      | Identifies the envelope to be corrected.                                                                                                                                                                                                                                                                                                                                                                                  |
| SuppressNavigation | Boolean     | Sets whether the window is displayed with or without dressing.                                                                                                                                                                                                                                                                                                                                                            |
| ReturnURL          | String      | Identifies the return point after correcting the envelope. The URL will have an event passed to it as a query parameter. The parameter will be named “event”, see “In-session sending events” below for description of the valid events. The Docusign Envelope Id will also be returned in the “envelopeId” parameter.Important – You must include HTTPS:// in the URL or the redirect might be blocked by some browsers. |

### In-Session Sending Events

Events returned on the ReturnURL as a query string parameter. The event is sent in the parameter named “event”. The ReturnURL is called with the event on any completion state of the envelope send. Valid events can be found in the schema type InSessionSendEvent in the Docusign API XSD.

| Event      | Description                                                    |
| ---------- | -------------------------------------------------------------- |
| Send       | User sends the envelope.                                       |
| Save       | User saves a draft of the envelope.                            |
| Cancel     | User cancels the sending transaction. No envelope ID returned. |
| Error      | Error performing the send.                                     |
| SessionEnd | Sending session ended before the user completed.               |